.First.lib <- function(library, section)
{
  if(version$major == 3) {
    if(version$minor < 2)
      stop("This library needs S-Plus 3.2 or later")
      else sec <- "sp3"
  }
  if(version$major == 4) sec <- "sp4"
  path1 <- paste(library, section, sec, "int2.obj", sep = "\\")
  path2 <- paste(library, section, sec, "intf.obj", sep = "\\")
  path3 <- paste(library, section, sec, "int1.obj", sep = "\\")
  dyn.load(c(path1, path2, path3))
}
