#include "S.h"
void F77_NAME(dcuhre)();
void F77_NAME(dqag)();

void drdqag( f, a, b, epsabs, epsrel, result, abserr, neval,
             ier, limit, lenw, last, iwork, work )
void **f;
double *a, *b, *epsabs, *epsrel, *result, *abserr;
int *neval, *ier, *limit, *lenw, *last;
int iwork[100];
double *work[400];
{ 
  F77_CALL(dqag)( f, a, b, epsabs, epsrel, result, abserr, neval,
	ier, limit, lenw, last, iwork, work ); 
}

void dcucall(ndim,numfun,a,b,minpts,maxpts,funsub,epsabs,epsrel,key,nw,
	     restar,result,abserr,neval,ifail,work)
long *ndim;      /* Number of variables in integrand(s) */
long *numfun;    /* Number of components in the vector integrand function */
double *a;       /* Lower limit of integration */
double *b;       /* Uppder limit of integration */
long *minpts;    /* Minimum number of funsub calls */
long *maxpts;    /* Maximum number of funsub calls *
void **funsub;   /* function to be integrated */
double *epsabs;  /* Requested absalute error */
double *epsrel;  /* Requested relative error */
long *key;       /* Selects integration rule */
long *nw;        /* Length of work array */
long *restar;    /* restar = 0, this is the first attempt
                           = 1, continuation of a previous attempt */
double *result;  /* An array of the approximation to the integrals */
double *abserr;  /* An array of estimates for absolute errors */
long *neval;     /* Number of function evaluations used */
long *ifail;     /* Exit condition indicator */
double *work;    /* Work array */

{
  F77_CALL(dcuhre)(ndim,numfun,a,b,minpts,maxpts,funsub,
	  epsabs,epsrel,key,nw,restar,result,abserr,
	  neval,ifail,work);
}


